<?php

////////////////////////////////////////////////////////////
////////////////////// CORE FUNCTION | MODULE FUNCTION (c) i2d Technologies //////////////////////////////////
if (!function_exists('cart_count')) {
function cart_count($col_id) { 

/////////////////////////// function ends /////////////////////////////////

$link=uplink();
$rt="SELECT id FROM master where alias='cart_entry' AND col2='$col_id'";
$table_query=$link->query($rt);
//echo $rt;
if($table_query){
$deal_count=mysqli_num_rows($table_query);
return $deal_count;
// close connection 
$link->close();
}
else{
$deal_count=0;
return $deal_count;	
}

}
}
//////////////////////////// function ends ///////////////////////////////////
////////////////////// CORE FUNCTION | MODULE FUNCTION (c) i2d Technologies //////////////////////////////////
if (!function_exists('stats_sum')) {
function stats_sum($table,$ref,$col,$sum_col,$col_id) { 

/////////////////////////// function ends /////////////////////////////////

$link=uplink();
$rt="SELECT SUM($col) as sum_value FROM $table where alias='$ref' AND status='Active'";
$table_query=$link->query($rt);
//echo $rt;
if($table_query){
$row = mysqli_fetch_assoc($table_query); 
$sum = $row['sum_value'];	
return $sum;
// close connection 
$link->close();
}
else{
$deal_count=0;
return $deal_count;	
}

}
}
//////////////////////////// function ends ///////////////////////////////////


////////////////////// CORE FUNCTION | MODULE FUNCTION (c) i2d Technologies //////////////////////////////////
if (!function_exists('stats2')) {
function stats2($table,$ref,$col,$col_id) { 

/////////////////////////// function ends /////////////////////////////////

$link=uplink();
$rt="SELECT id FROM $table where alias='$ref' AND $col='$col_id'";
$table_query=$link->query($rt);
//echo $rt;
if($table_query){
$deal_count=mysqli_num_rows($table_query);
return $deal_count;
// close connection 
$link->close();
}
else{
$deal_count=0;
return $deal_count;	
}

}
}
//////////////////////////// function ends ///////////////////////////////////
////////////////////// CORE FUNCTION | MODULE FUNCTION (c) i2d Technologies //////////////////////////////////
if (!function_exists('stats_count')) {
function stats_count($table,$col,$col_id) { 

/////////////////////////// function ends /////////////////////////////////

$link=uplink();
$rt="SELECT id FROM $table where $col='$col_id'";
$table_query=$link->query($rt);
echo $rt;
if($table_query){
$deal_count=mysqli_num_rows($table_query);
return $deal_count;
// close connection 
$link->close();
}
else{
$deal_count=0;
return $deal_count;	
}

}
}
//////////////////////////// function ends ///////////////////////////////////



















?>